Skip to main content
GET
/
v1
/
market-positions
Get positions for a market
curl --request GET \
  --url https://data-api.polymarket.com/v1/market-positions
import requests

url = "https://data-api.polymarket.com/v1/market-positions"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://data-api.polymarket.com/v1/market-positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "token": "<string>",
    "positions": [
      {
        "proxyWallet": "0x56687bf447db6ffa42ffe2204a05edaa20f55839",
        "name": "<string>",
        "profileImage": "<string>",
        "verified": true,
        "asset": "<string>",
        "conditionId": "0xdd22472e552920b8438158ea7238bfadfa4f736aa4cee91a6b86c39ead110917",
        "avgPrice": 123,
        "size": 123,
        "currPrice": 123,
        "currentValue": 123,
        "cashPnl": 123,
        "totalBought": 123,
        "realizedPnl": 123,
        "totalPnl": 123,
        "outcome": "<string>",
        "outcomeIndex": 123
      }
    ]
  }
]
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Query Parameters

market
string
required

The condition ID of the market to query positions for 0x-prefixed 64-hex string

Pattern: ^0x[a-fA-F0-9]{64}$
Example:

"0xdd22472e552920b8438158ea7238bfadfa4f736aa4cee91a6b86c39ead110917"

user
string

Filter to a single user by proxy wallet address User Profile Address (0x-prefixed, 40 hex chars)

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x56687bf447db6ffa42ffe2204a05edaa20f55839"

status
enum<string>
default:ALL

Filter positions by status.

  • OPEN — Only positions with size > 0.01
  • CLOSED — Only positions with size <= 0.01
  • ALL — All positions regardless of size
Available options:
OPEN,
CLOSED,
ALL
sortBy
enum<string>
default:TOTAL_PNL

Sort positions by:

  • TOKENS — Position size (number of tokens)
  • CASH_PNL — Unrealized cash PnL
  • REALIZED_PNL — Realized PnL
  • TOTAL_PNL — Total PnL (cash_pnl + realized_pnl)
Available options:
TOKENS,
CASH_PNL,
REALIZED_PNL,
TOTAL_PNL
sortDirection
enum<string>
default:DESC
Available options:
ASC,
DESC
limit
integer
default:50

Max number of positions to return per outcome token

Required range: 0 <= x <= 500
offset
integer
default:0

Pagination offset per outcome token

Required range: 0 <= x <= 10000

Response

Success

token
string

The outcome token asset ID

positions
object[]